/*
  Project Name : Mountain Biking
  Author Company : Ewebcraft
  Project Date: 16 June, 2015
  Author Website : http://www.ewebcraft.com
  Author Email : ewebcraft@gmail.com
*/

#loader {
    background: #2F3030;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999999;
}

.loader-container {
    /* margin: 100px auto; */
    width: 150px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -75px;
}

.loader {
    border-radius: 100%;
}

.loader_middle {
    position: relative;
    height: 30px;
    width: 30px;
    background-color: #CBEF43;
    -webkit-animation: doabarrelroll 3s infinite;
    -moz-animation: doabarrelroll 3s infinite;
    animation: doabarrelroll 3s infinite;
}

.loader_ext {
    position: absolute;
    height: 20px;
    width: 20px;
    top: 5px;
}

.loader_ext_left {
    left: 25px;
    background-color: #E3655B;
    -webkit-animation: throwmeleft 3s infinite;
    -moz-animation: throwmeleft 3s infinite;
    animation: throwmeleft 3s infinite;
}

.loader_ext_right {
    right: 25px;
    background-color: #2C8C99;
    -webkit-animation: throwmeright 3s infinite;
    -moz-animation: throwmeright 3s infinite;
    animation: throwmeright 3s infinite;
}

@-webkit-keyframes doabarrelroll {
    0% {
        left: 0px;
        transform: rotate(0deg);
    }
    50% {
        left: 150px;
        transform: rotate(720deg);
    }
    100% {
        left: 0px;
        transform: rotate(0deg);
    }
}

@-webkit-keyframes throwmeleft {
    0% {
        left: 25px;
    }
    50% {
        left: 50px;
    }
    100% {
        left: 25px;
    }
}

@-webkit-keyframes throwmeright {
    0% {
        right: 25px;
    }
    50% {
        right: 50px;
    }
    100% {
        right: 25px;
    }
}

@-moz-keyframes doabarrelroll {
    0% {
        left: 0px;
        transform: rotate(0deg);
    }
    50% {
        left: 150px;
        transform: rotate(720deg);
    }
    100% {
        left: 0px;
        transform: rotate(0deg);
    }
}

@-moz-keyframes throwmeleft {
    0% {
        left: 25px;
    }
    50% {
        left: 50px;
    }
    100% {
        left: 25px;
    }
}

@-moz-keyframes throwmeright {
    0% {
        right: 25px;
    }
    50% {
        right: 50px;
    }
    100% {
        right: 25px;
    }
}

@keyframes doabarrelroll {
    0% {
        left: 0px;
        transform: rotate(0deg);
    }
    50% {
        left: 150px;
        transform: rotate(720deg);
    }
    100% {
        left: 0px;
        transform: rotate(0deg);
    }
}

@keyframes throwmeleft {
    0% {
        left: 25px;
    }
    50% {
        left: 50px;
    }
    100% {
        left: 25px;
    }
}

@keyframes throwmeright {
    0% {
        right: 25px;
    }
    50% {
        right: 50px;
    }
    100% {
        right: 25px;
    }
}